Section "Files"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"jp106"
	Option		"XkbLayout"	"jp"
	Option		"XkbOptions"	"lv3:rwin_switch,apple:badmap"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "InputDevice"
        Identifier      "Synaptics Touchpad"
        Driver          "synaptics"
        Option          "SendCoreEvents"        "true"
        Option          "Device"                "/dev/input/mice"
        Option          "Protocol"              "auto-dev"
        #Option         "CorePointer"

        # exclusive grabbing of device
        Option          "GrabEventDevice"       "1"

        # simulate right button
        Option          "MultiFingerButton"     "2"

        # not using edge scrolling
        Option          "HorizEdgeScroll"       "0"
        Option          "VertEdgeScroll"        "0"

        # use two finger scrolling
        Option          "VertTwoFingerScroll"   "1"
        Option          "HorizTwoFingerScroll"  "1"

        # set to 0 if you don't want horizontal scrolling
        # scroll speed, lower is faster
        Option          "HorizScrollDelta"      "60"
        Option          "VertScrollDelta"       "60"

        # minimum pressure motion factor
        Option          "PressureMotionMinZ"    "10"

        # touch and untouch thresholds, higher numbers
        # if you like to push hard, change to 30 or 40
        Option          "FingerLow"             "16"
        Option          "FingerHigh"            "80"
        Option          "FingerPress"           "256"

        # palm detect
        Option          "PalmDetect"             "0"
        Option          "PalmMinWidth"           "10"
        Option          "PalmMinZ"               "200"

        # borders based on output from synclient
        # controls the edge scrolling
        # turned off by specifing the exact size /henrik
        Option          "LeftEdge"              "0"
        Option          "RightEdge"             "1280"
        Option          "TopEdge"               "0"
        Option          "BottomEdge"            "800"

        # speeds, smaller number for a slower mouse
        Option          "MinSpeed"              "0.8"
        # 0.5 is very slow, 1.5 is very fast
        Option          "MaxSpeed"              "1.2"
        # up to 1.5 works ok
        Option          "AccelFactor"           "0.10"

        # tap times, change to suit your tapping habits
        Option          "MaxTapMove"            "80"
        Option          "MaxTapTime"            "180"
        Option          "MaxDoubleTapTime"      "160"

        # don't change these or two finger tap stops working
        Option          "TapButton2"            "2"
        Option          "TapButton3"            "3"
        #Option          "TapButton2"             "0"
        #Option          "TapButton3"             "0"

        # must be commented out or normal tapping wont work
        Option          "TapButton1"             "0"

        # not using corner buttons
        Option          "RTCornerButton"         "0"
        Option          "RBCornerButton"         "0"
        Option          "LTCornerButton"         "0"
        Option          "LBCornerButton"         "0"

        # needed for disabled while typing fix
        Option          "SHMConfig"              "true"
EndSection

Section "Device"
	Identifier	"Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller"
	Driver		"intel"
	BusID		"PCI:0:2:0"
#	Option		"UseFBDev"		"true"
#        Option "AccelMethod" "exa"
        Option "AccelMethod" "xaa"
EndSection

Section "Monitor"
	Identifier	"MacBook Air Monitor"
	Option		"DPMS"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller"
	Monitor		"MacBook Air Monitor"
	DefaultDepth	24
	SubSection "Display"
		Modes		"1280x800" "1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
	InputDevice	"Synaptics Touchpad"
EndSection
